<?php

    global $tpl;

    if( core::POST() )
    {
        
        $Temat = tematy::get( $_REQUEST['temat_id'] );
        $ProcesID = intval( $_REQUEST['proces_id'] );
        
        if( !$Temat->id OR !$ProcesID )
        {
            header("Location:".core::$i->url.'/index.php?mode=user&function=game');
            exit;
        }
        
        foreach( $_REQUEST['kryterium'] as $KryteriumID => $Points )
        {
            $Sumy[$KryteriumID] = array_sum( $Points );
            $Kryteria[$KryteriumID] = kryteria::get( $KryteriumID )->nazwa;
            
        }
        
        foreach( $Kryteria as $KryteriumID => $Kryterium )
        {
            $NoweWagi[$KryteriumID] = $NowaWaga = game::Waga( $Sumy[$KryteriumID], min( $Sumy ) , max( $Sumy ));
        }
        
        foreach( $NoweWagi AS $KryteriumID => $Waga )
        {
            $Tabela[$Kryteria[$KryteriumID]] = $Waga;
            // Jeśli wagi zostały już przypisane aktualizuj
            if( $IstniejacaWaga = db::$i->row("SELECT * FROM `wagi` WHERE `user`='".( user::$i->id )."' AND `nazwa`='".esc( $Kryteria[$KryteriumID] )."' AND `proces_id`='".( $ProcesID )."'") )
            {
                db::$i->update( 'wagi' , array(
                    'waga' => esc( $Waga ),
                ) , $IstniejacaWaga['id'] );
            } 
            else 
            {
                db::$i->insert( 'wagi' , array(
                    'kryterium_id' => $KryteriumID,
                    'nazwa' => esc( $Kryteria[$KryteriumID] ),
                    'proces_id' => $ProcesID,
                    'waga' => esc( $Waga ),
                    'temat_id' => $Temat->id,
                    'user' => user::$i->id
                ));
            }
            
            // Aktualizacja wartosci procesu
            db::$i->q("UPDATE `wartosci` SET `waga`='".esc( $Waga )."' WHERE `kryterium_id`='".esc( $KryteriumID )."' AND `proces_id`='".esc( $ProcesID )."'");
        }
        
        $tpl->assign(array(
            'Tabela' => $Tabela
        ));
        
        @header("Location:".core::$i->url .'/index.php?mode=user&function=fun&id=' . $ProcesID );
        exit;
        
        //module::$i->on();
    } 
    else 
    {
        header("Location:".core::$i->url.'/index.php?mode=user&function=game&error=incorrect_request');
    }

?>